// clips for connecting and aligning dual monitors.  Print one for the top and one for 
// the bottom (they may be different sizes).


Height = 16;      // height of the edge of the bezel - make it a couple of mm taller if you put 
                  // double sided tape under it.
Length = 25;      // length over each monitor - full length monitor to monitor is twice this
WallThick = 3;    // thickness of the clip walls
MonThick = 28.3;  // the actual measured thickness of the monitor
SlipFit = 0.5;    // margin for slip fit over the edge of the monitor
MonAngle = 160;   // full angle between monitors

Channel = MonThick + SlipFit;

difference() { 
	rotate (a = [0, 0, (180-MonAngle)/2]) difference() { 
		cube (size = [Length, Channel+(WallThick*2), Height+WallThick]);
		translate ([-1, WallThick, WallThick]) cube (size = [Length + 2, Channel, Height+1]); 
		}
	translate ([-Length*2, 0, -1]) cube (size = [Length*2, Channel*2, Height*2]); 
	}
	
translate ([0.01, 0, 0]) mirror ([1, 0, 0]) difference() { // translation is to ensure the surfaces touch
	rotate (a = [0, 0, (180-MonAngle)/2]) difference() { 
		cube (size = [Length, Channel+(WallThick*2), Height+WallThick]);
		translate ([-1, WallThick, WallThick]) cube (size = [Length + 2, Channel, Height+1]); 
		}
	translate ([-Length*2, 0, -1]) cube (size = [Length*2, Channel*2, Height*2]); 
	}